VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceIDProperties const & () const
| operator VkPhysicalDeviceIDProperties & ()
bool | operator== (PhysicalDeviceIDProperties const &rhs) const
bool | operator!= (PhysicalDeviceIDProperties const &rhs) const

## Data Fields

void * | pNext = nullptr
uint8_t | deviceUUID [VK_UUID_SIZE]
uint8_t | driverUUID [VK_UUID_SIZE]
uint8_t | deviceLUID [VK_LUID_SIZE]
uint32_t | deviceNodeMask
Bool32 | deviceLUIDValid

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceIdProperties

## Detailed Description

Definition at line 13392 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceIDProperties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::operator VkPhysicalDeviceIDProperties & | ( |  | ) |

inline

Definition at line 13399 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceIDProperties*>(this);
}

## operator VkPhysicalDeviceIDProperties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::operator VkPhysicalDeviceIDProperties const & | ( |  | ) | const

inline

Definition at line 13394 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceIDProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::operator!= | ( | PhysicalDeviceIDProperties const & | rhs | ) | const

inline

Definition at line 13415 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::operator== | ( | PhysicalDeviceIDProperties const & | rhs | ) | const

inline

Definition at line 13404 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memcmp( deviceUUID, rhs.deviceUUID, VK_UUID_SIZE * sizeof( uint8_t ) ) == 0 )
&& ( memcmp( driverUUID, rhs.driverUUID, VK_UUID_SIZE * sizeof( uint8_t ) ) == 0 )
&& ( memcmp( deviceLUID, rhs.deviceLUID, VK_LUID_SIZE * sizeof( uint8_t ) ) == 0 )
&& ( deviceNodeMask == rhs.deviceNodeMask )
&& ( deviceLUIDValid == rhs.deviceLUIDValid );
}

References deviceLUID, deviceLUIDValid, deviceNodeMask, deviceUUID, driverUUID, pNext, sType, VK_LUID_SIZE, and VK_UUID_SIZE.

Referenced by operator!=().

## Field Documentation

## deviceLUID

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceLUID[VK_LUID_SIZE]

Definition at line 13427 of file vulkan.hpp.

Referenced by operator==().

## deviceLUIDValid

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceLUIDValid

Definition at line 13429 of file vulkan.hpp.

Referenced by operator==().

## deviceNodeMask

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceNodeMask

Definition at line 13428 of file vulkan.hpp.

Referenced by operator==().

## deviceUUID

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceUUID[VK_UUID_SIZE]

Definition at line 13425 of file vulkan.hpp.

Referenced by operator==().

## driverUUID

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::driverUUID[VK_UUID_SIZE]

Definition at line 13426 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::pNext = nullptr

Definition at line 13424 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::sType = StructureType::ePhysicalDeviceIdProperties

private

Definition at line 13421 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::sType
StructureType sType
Definition: vulkan.hpp:13421
VK_LUID_SIZE
#define VK_LUID_SIZE
Definition: vulkan_core.h:3796
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceNodeMask
uint32_t deviceNodeMask
Definition: vulkan.hpp:13428
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceUUID
uint8_t deviceUUID[VK_UUID_SIZE]
Definition: vulkan.hpp:13425
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceLUIDValid
Bool32 deviceLUIDValid
Definition: vulkan.hpp:13429
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::operator==
bool operator==(PhysicalDeviceIDProperties const &rhs) const
Definition: vulkan.hpp:13404
VK_UUID_SIZE
#define VK_UUID_SIZE
Definition: vulkan_core.h:105
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::pNext
void * pNext
Definition: vulkan.hpp:13424
VkPhysicalDeviceIDProperties
Definition: vulkan_core.h:4401
uint8_t
unsigned char uint8_t
Definition: SDL_config_windows.h:59
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::deviceLUID
uint8_t deviceLUID[VK_LUID_SIZE]
Definition: vulkan.hpp:13427
VULKAN_HPP_NAMESPACE::PhysicalDeviceIDProperties::driverUUID
uint8_t driverUUID[VK_UUID_SIZE]
Definition: vulkan.hpp:13426